XYMOND_SAMPLE(8)

NAME
xymond_sample - example of a xymond worker module

SYNOPSIS
xymond_channel --channel=status xymond_sample [options]

DESCRIPTION
xymond_sample is a worker module for xymond, and as such it is normally run via the xymond_channel(8) program. It receives messages from xymond via stdin, and simply displays these on stdout. It can be used with all types of xymond channels. xymond_sample is not designed to actually run, except as a demonstration. The purpose of this tool is to show how xymond worker modules can be implemented to handle different tasks that need to hook into the xymond processing.

OPTIONS

--timeout=N
    Read messages with a timeout of N seconds.

--debug
    Enable debugging output.

SEE ALSO
xymond_channel(8), xymond(8), xymon(7)